> ## Documentation Index
> Fetch the complete documentation index at: https://developer.finogates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Processing Record(s)

> Get a user's card-processing applications.

Leave ``application_id`` out to get the full list of that user's
card-processing applications. Provide an ``application_id`` to get just
that single application instead.



## OpenAPI

````yaml GET /v1/platform/card-processing/users/{user_id}
openapi: 3.1.0
info:
  title: Finogate Platform API v1
  version: 0.1.0
servers:
  - url: https://api-sandbox.finogates.com
    description: Sandbox
  - url: https://api.finogates.com
    description: Production
security: []
tags:
  - name: auth
  - name: users
  - name: payees
  - name: verification
  - name: bank accounts
  - name: card processing
  - name: digital-assets
  - name: international
  - name: onboarding
  - name: pending-applications
  - name: wallets
  - name: payments
  - name: catalog
  - name: webhooks
  - name: phone-numbers
  - name: sms
  - name: calls
  - name: listings
  - name: embed-tokens
paths:
  /v1/platform/card-processing/users/{user_id}:
    get:
      tags:
        - card processing
      summary: Get Card Processing Applications
      description: |-
        Get a user's card-processing applications.

        Leave ``application_id`` out to get the full list of that user's
        card-processing applications. Provide an ``application_id`` to get just
        that single application instead.
      operationId: >-
        read_user_card_processing_v1_platform_card_processing_users__user_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
        - name: application_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              Optional. Provide an application ID to get just that one
              card-processing application. Leave it out to get the full list of
              the user's card-processing applications.
            title: Application Id
          description: >-
            Optional. Provide an application ID to get just that one
            card-processing application. Leave it out to get the full list of
            the user's card-processing applications.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - _AuthenticatedBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    _AuthenticatedBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v1/platform/auth/token

````